//Source file: CallAbortedEvent.java
//Date: February 2007
//Generic Call Control for 1st draft ES 204 915-4-2 V1.1.1, DES/TISPAN-01032-04-2-OSA, Parlay 6.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the callAborted() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class CallAbortedEvent extends java.util.EventObject {

    /**
     * Constructor for the CallAbortedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CallAbortedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.gccs.Call call) {

        super(source);
        this.call = call;
 
    }

    org.csapi.jr.se.cc.gccs.Call call = null;

    /**
     *  This method is used to retrieve a reference to the Call associated
     *  with this event.
     *
     * @return    A reference to the Call associated with this event.
     */
    public Call getCall() {

        return this.call;
    }

}

