//Source file: CallEventInfo.java
//Date: February 2007
//Generic Call Control for 1st draft ES 204 915-4-2 V1.1.1, DES/TISPAN-01032-04-2-OSA, Parlay 6.0

package org.csapi.jr.se.cc.gccs;

/**
 * Defines the Sequence of Data Elements that specify the information returned to the application in a Call event notification.
 * 
 */
public final class CallEventInfo implements java.io.Serializable {

    private org.csapi.jr.se.Address destinationAddress;
    private org.csapi.jr.se.Address originatingAddress;
    private org.csapi.jr.se.Address originalDestinationAddress;
    private org.csapi.jr.se.Address redirectingAddress;
    private org.csapi.jr.se.cc.gccs.CallAppInfo[] callAppInfo;
    private int callEventName;
    private org.csapi.jr.se.cc.gccs.CallNotificationType callNotificationType;
    private org.csapi.jr.se.cc.CallMonitorMode monitorMode;

    /**
     * Creates a new CallEventInfo instance.
     */
    public CallEventInfo () {}

    /**
     * Creates a new CallEventInfo instance.
     * @param _destinationAddress   
     * @param _originatingAddress   
     * @param _originalDestinationAddress   
     * @param _redirectingAddress   
     * @param _callAppInfo   
     * @param _callEventName   
     * @param _callNotificationType   
     * @param _monitorMode   
     */
    public CallEventInfo (org.csapi.jr.se.Address _destinationAddress, org.csapi.jr.se.Address _originatingAddress, org.csapi.jr.se.Address _originalDestinationAddress, org.csapi.jr.se.Address _redirectingAddress, org.csapi.jr.se.cc.gccs.CallAppInfo[] _callAppInfo, int _callEventName, org.csapi.jr.se.cc.gccs.CallNotificationType _callNotificationType, org.csapi.jr.se.cc.CallMonitorMode _monitorMode) {

        this.destinationAddress = _destinationAddress;
        this.originatingAddress = _originatingAddress;
        this.originalDestinationAddress = _originalDestinationAddress;
        this.redirectingAddress = _redirectingAddress;
        this.callAppInfo = _callAppInfo;
        this.callEventName = _callEventName;
        this.callNotificationType = _callNotificationType;
        this.monitorMode = _monitorMode;
    }

    /**
     * This method returns a destinationAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getDestinationAddress() {
        return destinationAddress;
    }

    /**
     * This method returns a originatingAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getOriginatingAddress() {
        return originatingAddress;
    }

    /**
     * This method returns a originalDestinationAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getOriginalDestinationAddress() {
        return originalDestinationAddress;
    }

    /**
     * This method returns a redirectingAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getRedirectingAddress() {
        return redirectingAddress;
    }

    /**
     * This method returns a callAppInfo.
     * 
     * @return a org.csapi.jr.se.cc.gccs.CallAppInfo[] value
     */
    public org.csapi.jr.se.cc.gccs.CallAppInfo[] getCallAppInfo() {
        return callAppInfo;
    }

    /**
     * This method returns a callEventName.
     * 
     * @return a int value
     */
    public int getCallEventName() {
        return callEventName;
    }

    /**
     * This method returns a callNotificationType.
     * 
     * @return a org.csapi.jr.se.cc.gccs.CallNotificationType value
     */
    public org.csapi.jr.se.cc.gccs.CallNotificationType getCallNotificationType() {
        return callNotificationType;
    }

    /**
     * This method returns a monitorMode.
     * 
     * @return a org.csapi.jr.se.cc.CallMonitorMode value
     */
    public org.csapi.jr.se.cc.CallMonitorMode getMonitorMode() {
        return monitorMode;
    }


    /**
     * This method sets a destinationAddress.
     */ 
    public void setDestinationAddress(org.csapi.jr.se.Address destinationAddress) {
        this.destinationAddress = destinationAddress;
    }

    /**
     * This method sets a originatingAddress.
     */ 
    public void setOriginatingAddress(org.csapi.jr.se.Address originatingAddress) {
        this.originatingAddress = originatingAddress;
    }

    /**
     * This method sets a originalDestinationAddress.
     */ 
    public void setOriginalDestinationAddress(org.csapi.jr.se.Address originalDestinationAddress) {
        this.originalDestinationAddress = originalDestinationAddress;
    }

    /**
     * This method sets a redirectingAddress.
     */ 
    public void setRedirectingAddress(org.csapi.jr.se.Address redirectingAddress) {
        this.redirectingAddress = redirectingAddress;
    }

    /**
     * This method sets a callAppInfo.
     */ 
    public void setCallAppInfo(org.csapi.jr.se.cc.gccs.CallAppInfo[] callAppInfo) {
        this.callAppInfo = callAppInfo;
    }

    /**
     * This method sets a callEventName.
     */ 
    public void setCallEventName(int callEventName) {
        this.callEventName = callEventName;
    }

    /**
     * This method sets a callNotificationType.
     */ 
    public void setCallNotificationType(org.csapi.jr.se.cc.gccs.CallNotificationType callNotificationType) {
        this.callNotificationType = callNotificationType;
    }

    /**
     * This method sets a monitorMode.
     */ 
    public void setMonitorMode(org.csapi.jr.se.cc.CallMonitorMode monitorMode) {
        this.monitorMode = monitorMode;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof CallEventInfo)) {
            return false;
        } 
        CallEventInfo callEventInfo = (CallEventInfo) o;
        if ((this.destinationAddress != null) && (callEventInfo.destinationAddress != null)) {
            if(!(this.destinationAddress.equals(callEventInfo.destinationAddress))) {
                return false;
            }
        }
        if ((this.originatingAddress != null) && (callEventInfo.originatingAddress != null)) {
            if(!(this.originatingAddress.equals(callEventInfo.originatingAddress))) {
                return false;
            }
        }
        if ((this.originalDestinationAddress != null) && (callEventInfo.originalDestinationAddress != null)) {
            if(!(this.originalDestinationAddress.equals(callEventInfo.originalDestinationAddress))) {
                return false;
            }
        }
        if ((this.redirectingAddress != null) && (callEventInfo.redirectingAddress != null)) {
            if(!(this.redirectingAddress.equals(callEventInfo.redirectingAddress))) {
                return false;
            }
        }
        if(!(this.callAppInfo == callEventInfo.callAppInfo))  {
            return false;
        }
        if ((this.callNotificationType != null) && (callEventInfo.callNotificationType != null)) {
            if(!(this.callNotificationType.equals(callEventInfo.callNotificationType))) {
                return false;
            }
        }
        if(!(this.callEventName == callEventInfo.callEventName))  {
            return false;
        }
        if ((this.monitorMode != null) && (callEventInfo.monitorMode != null)) {
            if(!(this.monitorMode.equals(callEventInfo.monitorMode))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CallEventInfo

