//Source file: CallLoadControl.java
//Date: February 2007
//Generic Call Control for 1st draft ES 204 915-4-2 V1.1.1, DES/TISPAN-01032-04-2-OSA, Parlay 6.0

package org.csapi.jr.se.cc.gccs;

/**
 * This interface represents a CallLoadControl activity object.<BR>
 *
 */
public interface CallLoadControl extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the CallControlManager responsible for creation of the CallLoadControl.
     *
     * @return  A reference to the CallControlManager responsible for creation of the CallLoadControl.
     */
    org.csapi.jr.se.cc.gccs.CallControlManager getCallControlManager();

    /**
     * Adds a CallLoadControlListener which is interested in events generated by the CallLoadControl.
     *
     * @param  callLoadControlListener  A reference to the CallLoadControlListener which is to be added as
     *        a listener.
     */
    void addCallLoadControlListener(org.csapi.jr.se.cc.gccs.CallLoadControlListener callLoadControlListener);

    /**
     * Removes a CallLoadControlListener which is no longer interested events generated by the CallLoadControl.
     *
     * @param  callLoadControlListener  A reference to the CallLoadControlListener which is to be removed as
     *        a listener.
     */
    void removeCallLoadControlListener(org.csapi.jr.se.cc.gccs.CallLoadControlListener callLoadControlListener);

    /**
     * Invokes the setCallLoadControl() method on the Parlay Gateway.
     */
    void setCallLoadControl(
           int                             duration,
           org.csapi.jr.se.cc.CallLoadControlMechanism mechanism,
           org.csapi.jr.se.cc.gccs.CallTreatment treatment,
           org.csapi.jr.se.AddressRange addressRange)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidAddressException,
       org.csapi.jr.se.UnsupportedAddressPlanException;
}
