//Source file: SuperviseCallResEvent.java
//Date: February 2007
//Generic Call Control for 1st draft ES 204 915-4-2 V1.1.1, DES/TISPAN-01032-04-2-OSA, Parlay 6.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the superviseCallRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class SuperviseCallResEvent extends java.util.EventObject {

    /**
     * Constructor for the SuperviseCallResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SuperviseCallResEvent(java.lang.Object source,
        int                             report,
        int                             usedTime) {

        super(source);
      this.report = report;
      this.usedTime = usedTime;
 
    }

    int                             report;

    /**
     *  This method is used to retrieve the parameter value of 'report' passed up
     *  from the Gateway in it's call to the superviseCallRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'report' used on creation of this event.
     */
    public int getReport() {

        return this.report;
    }
       
    int                             usedTime;

    /**
     *  This method is used to retrieve the parameter value of 'usedTime' passed up
     *  from the Gateway in it's call to the superviseCallRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'usedTime' used on creation of this event.
     */
    public int getUsedTime() {

        return this.usedTime;
    }
       
}

